#include <iostream>

struct Triple{
     float x, y, z;
     Triple()
               : x(1.0), y(2.0), z(3.0){}
};

int main(){

     // Stack
     int value = 10;
     int array[3];
     array[0] = 0;
     array[1] = 1;
     array[2] = 2;
     Triple triple;

     // Heap
     int* hvalue = new int;
     *hvalue = 10;
     int* harray = new int[3];
     array[0] = 0;
     array[1] = 1;
     array[2] = 2;
     Triple* htriple = new Triple();

     // clean up allocated Heap memory
     delete hvalue;
     delete[] harray;
     delete htriple;


     // To check memory leak, use valgrind: $ valgrind --leak-check=full ./stack

     return 0;
}